Subject: bug#33791: 26.1; Eshell on Windows connecting to GNU/Linux machine using TRAMP and plink: env: ‘c:/home/jordan/test.sh’: No such file or directory

From: Jordan Wilson <[email-masked]>
Date: Sat, 22 Dec 2018 15:45:31 +0000

On 2018-12-22 (Sat) at 11:23 (+0200), Eli Zaretskii <[email-masked]> wrote:
>> When I'm connected to my GNU/Linux machine (using TRAMP and plink) with
>> eshell, I can't run executables in the local directory. Doing
>> "./test.sh" returns "env: ‘c:/home/jordan/test.sh’: No such file or
>> directory".
>
> I cannot reproduce this, but I'm not on Windows 10.

I'm getting it on Windows 7, too. Both with my configuration and with
the "-Q" argument.

>> Here's an example:
>> 
>>        c:/Users/Jordan $ /plink:[email-masked]:/home/jordan/test
>>        /plink:[email-masked]:/home/jordan/test $ ls
>>        test2       test.sh
>>        /plink:[email-masked]:/home/jordan/test $ ./test.sh
>>        env: ‘c:/home/jordan/test.sh’: No such file or directory
>
> What is in test.sh?  Did you make that script executable?

Yes, it's an executable. It should actually read
"c:/home/jordan/test/test.sh", but I somehow omitted the "test"
directory when I reproduced it in my message.

I've replicated both issues connecting to another GNU/Linux machine.

-- 
Jordan Wilson
    Sent from Gnus v5.13, GNU Emacs 26.1